Arch Remove/it: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/it|Name=Arch Remove|Name/it=Rimuovi|Workbenches=Architettura|MenuLocation=Arch → Rimuovi|SeeAlso=Aggiungi}}")
(Created page with "Lo strumento Rimuovi permette di eseguire 2 tipi di operazioni: * Rimuovere un sottocomponente di un oggetto Architettura, ad esempio rimuovere il cubo che è stato inserito i...")
Line 3: Line 3:
==Description==
==Description==


Lo strumento Rimuovi permette di eseguire 2 tipi di operazioni:
The Remove tools allows you to do 2 kinds of operations:
* Rimuovere un sottocomponente di un oggetto Architettura, ad esempio rimuovere il cubo che è stato inserito in una parete per descrivere il comando [[Arch Add/it|Aggiungi]].
* Remove a subcomponent from an Arch object, for example remove a box that has been added to a wall, like in the [[Arch Add]] example
* Subtract a [[Part Module|shape]]-based object from an Arch component such as a [[Arch Wall|wall]] or [[Arch Structure|structure]]
* Rimuovere un oggetto basato su [[Part Module/it|forme]], tipo un [[Arch Wall/it|muro]] o una [[Arch Structure/it|struttura]], da un oggetto Architettura


[[Image:Arch Remove example.jpg|600px]]
[[Image:Arch Remove example.jpg|600px]]

Revision as of 08:43, 29 November 2013

Rimuovi

Posizione nel menu
Arch → Rimuovi
Ambiente
Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Aggiungi

Description

Lo strumento Rimuovi permette di eseguire 2 tipi di operazioni:

  • Rimuovere un sottocomponente di un oggetto Architettura, ad esempio rimuovere il cubo che è stato inserito in una parete per descrivere il comando Aggiungi.
  • Rimuovere un oggetto basato su forme, tipo un muro o una struttura, da un oggetto Architettura

In the above image, a box is being subtracted from a wall

How to use

  1. Select a subcomponent inside an Arch object, or:
  2. Select object(s) to be subtracted, then the Arch component from which they must be subtracted (the arch component must be the last thing you selected)
  3. Press the Remove button

Scripting

The Remove tool can by used in macros and from the python console by using the following function:

removeComponents (objectsList,[hostObject])
  • removes the given component or the components from the given list from their parents. If a host object is specified, this function will try adding the components as holes to the host object instead.

Example:

 import FreeCAD, Arch, Draft, Part
 line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
 wall = Arch.makeWall(line)
 box = Part.makeBox(1,1,1)
 Arch.addComponents(box,wall)
 Arch.removeComponents(box)